package com.hotent.baseInfo.manager;

import com.hotent.baseInfo.model.CostDocumentTemplateFile;
import com.hotent.base.manager.BaseManager;
import com.hotent.project.model.CostProjectDocumentFile;

import java.util.List;
import java.util.Map;

/**
 * 监审文书文件内容表 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-14
 */
public interface CostDocumentTemplateFileManager extends BaseManager<CostDocumentTemplateFile> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CostDocumentTemplateFile getDetail(String id);
	/**
	 * 新建、更新监审文书文件内容表
	 * @param costDocumentTemplateFile
	 * @return
	 */
	void createOrUpdate(CostDocumentTemplateFile costDocumentTemplateFile);


	public List<CostDocumentTemplateFile> queryByDocumentId(String documentId,String whereValue,String unitId);

	List<CostDocumentTemplateFile> getDocumentFileList(String documentId);

	String getColValue(String tableName,String colName,String whereName,String whereValue);

    String getColValue2(String tableName);

	List<Map<String, Object>> getSurveyTemplate(String id);
}
